SdFat: Arduino/libraries/SdFat/src/FatLib/ios.h File Reference

SdFat

Classes | Functions
ios.h File Reference

ios_base and ios classes More...

`#include "FatFile.h"`
Include dependency graph for ios.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | ios
| Error and state information for all streams. More...
class | ios_base
| Base class for all streams. More...

## Functions
ios_base & | boolalpha (ios_base &str)
ios_base & | dec (ios_base &str)
ios_base & | hex (ios_base &str)
ios_base & | internal (ios_base &str)
ios_base & | left (ios_base &str)
ios_base & | noboolalpha (ios_base &str)
ios_base & | noshowbase (ios_base &str)
ios_base & | noshowpoint (ios_base &str)
ios_base & | noshowpos (ios_base &str)
ios_base & | noskipws (ios_base &str)
ios_base & | nouppercase (ios_base &str)
ios_base & | oct (ios_base &str)
ios_base & | right (ios_base &str)
ios_base & | showbase (ios_base &str)
ios_base & | showpoint (ios_base &str)
ios_base & | showpos (ios_base &str)
ios_base & | skipws (ios_base &str)
ios_base & | uppercase (ios_base &str)

## Detailed Description

ios_base and ios classes

Copyright (c) 2011-2018 Bill Greiman This file is part of the SdFat library for SD memory cards.

MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Function Documentation

## ◆ boolalpha()

ios_base& boolalpha | ( | ios_base & | str | ) |
| inline

function for boolalpha manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ dec()

ios_base& dec | ( | ios_base & | str | ) |
| inline

function for dec manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ hex()

ios_base& hex | ( | ios_base & | str | ) |
| inline

function for hex manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ internal()

ios_base& internal | ( | ios_base & | str | ) |
| inline

function for internal manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ left()

ios_base& left | ( | ios_base & | str | ) |
| inline

function for left manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ noboolalpha()

ios_base& noboolalpha | ( | ios_base & | str | ) |
| inline

function for noboolalpha manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ noshowbase()

ios_base& noshowbase | ( | ios_base & | str | ) |
| inline

function for noshowbase manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ noshowpoint()

ios_base& noshowpoint | ( | ios_base & | str | ) |
| inline

function for noshowpoint manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ noshowpos()

ios_base& noshowpos | ( | ios_base & | str | ) |
| inline

function for noshowpos manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ noskipws()

ios_base& noskipws | ( | ios_base & | str | ) |
| inline

function for noskipws manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ nouppercase()

ios_base& nouppercase | ( | ios_base & | str | ) |
| inline

function for nouppercase manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ oct()

ios_base& oct | ( | ios_base & | str | ) |
| inline

function for oct manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ right()

ios_base& right | ( | ios_base & | str | ) |
| inline

function for right manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ showbase()

ios_base& showbase | ( | ios_base & | str | ) |
| inline

function for showbase manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ showpoint()

ios_base& showpoint | ( | ios_base & | str | ) |
| inline

function for showpoint manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ showpos()

ios_base& showpos | ( | ios_base & | str | ) |
| inline

function for showpos manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ skipws()

ios_base& skipws | ( | ios_base & | str | ) |
| inline

function for skipws manipulator

Parameters

  [in] | str | The stream

Returns
  The stream

## ◆ uppercase()

ios_base& uppercase | ( | ios_base & | str | ) |
| inline

function for uppercase manipulator

Parameters

  [in] | str | The stream

Returns
  The stream